function dfe45000_parametros_bloquear_tipo_operacao_exige_af_controller(restEngine, ScreenService, templateManager, ZHPromise, General, Endereco) {
    var self = this;

    self.fornecedorApplyFilter = function(filterCode, widgetToApply) {
        if(filterCode){
            restEngine.post("df_entrada#/parambloqnfafor_fornecedorparamsbloq", {
                "requestType": "FilterData",
                "filter": [
                    {
                        "name": "P_NRINSJURFORN",
                        "operator": "=",
                        "value": filterCode
                    }
                ]
            }).then(function(response) {
                widgetToApply.dataSource.data = response.dataset.parambloqnfafor_fornecedorparamsbloq;
            });
        } else {
            widgetToApply.dataSource.data = [];
            ScreenService.showMessage('Fornecedor deve ser informado!');
        }
    };

    self.fornecedorSave = function(widget) {
        widget.currentRow.changed = true;

        restEngine.post("df_entrada#/parambloqnfafor_fornecedorparamsbloq/save", {
            "requestType": "DataSet",
            "dataset": [
                widget.currentRow
            ]
        }).then(function(response) {
            widget.currentRow.changed = false;
            widget.currentRow.__is_new = false;

            widget.view();
            General.changeWidgetAcessibility(widget.widgets, true);

            widget.reload();
        });
    };
    
    self.unidadeSave = function(widget) {
        widget.currentRow.changed = true;

        restEngine.post("df_entrada#/parambloqnfafil_unidadeparamsbloq/save", {
            "requestType": "DataSet",
            "dataset": [
                widget.currentRow
            ]
        }).then(function(response) {
            widget.currentRow.changed = false;
            widget.currentRow.__is_new = false;

            widget.view();
            General.changeWidgetAcessibility(widget.widgets, true);

            widget.reload();
        });
    };

    self.unidadeApplyFilter = function(filterCode, widgetToApply) {
        if(filterCode){
            restEngine.post("df_entrada#/parambloqnfafil_unidadeparamsbloq", {
                "requestType": "FilterData",
                "filter": [
                    {
                        "name": "P_CDFILIAL",
                        "operator": "=",
                        "value": filterCode
                    }
                ]
            }).then(function(response) {
                widgetToApply.dataSource.data = response.dataset.parambloqnfafil_unidadeparamsbloq;
            });
        } else {
            widgetToApply.dataSource.data = [];
            ScreenService.showMessage('Unidade deve ser informada!');
        }
    };

    self.unidadeVerifyRow = function(widget) {
        if(widget.currentRow.CDTIPOOPER == '01' || widget.currentRow.IDORIGEM != 'F') 
            widget.getField('IDEXIGEAF').readOnly = true;
        else 
            widget.getField('IDEXIGEAF').readOnly = false;
    };
    
}

Configuration(function(ContextRegister) {
    ContextRegister.register('dfe45000_parametros_bloquear_tipo_operacao_exige_af_controller', dfe45000_parametros_bloquear_tipo_operacao_exige_af_controller);
});